@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

:root {
  --base-color: #4ABDAC;
  --base-variant: #FC4A1A;
  --text-color: #fffdff;
  --text-box-color: #000000;
  --primary-color: #F7B733;
  --secondary-color: #f76133;
}

.darkmode {
  --base-color: #1e1e1e;
  --base-variant: #333333;
  --text-color: #fffdff;
  --text-box-color: #ffffff;
  --primary-color: #ac7302;
  --secondary-color: #a02b07;
}

body {
    font-family: 'Poppins', Arial, Helvetica, sans-serif;
    margin: 0px;
    color: var(--text-color);
    background-color: var(--base-color);
    overflow-x: hidden;
}

h1, h2 {
    font-weight: 700;
}

.charlore-navbar { 
  background-color: var(--base-variant);
} 
  
.charlore-navbar .navbar-brand { 
  font-weight: 700; 
  font-size: 1.25rem; 
} 
  
.charlore-navbar .nav-link { 
  font-weight: 600; 
} 
  
.charlore-navbar .nav-link:hover { 
  color: var(--text-color) !important; 
} 

.hidden {
    color: transparent;
}

.image-container {
  position: relative;
  display: block;
  margin: 0px auto;
  max-width: fit-content;
}

.image-container img {
  height: 100vh; 
  width: auto; 
  display: block; 
  margin-left: auto; 
  margin-right: auto;
}

@media (max-width: 768px) {
  .image-container img {
    height: auto; 
    width: 100vw; 
    display: block; 
    margin-left: auto; 
    margin-right: auto;
  }
}

.button {
  position: absolute;
  top: 50%;
  left: 10%;
  transform: translate(-50%, -50%) scale(0.8);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  padding: 15px 30px;
  font-size: 16px;
  font-weight: bold;
  color: var(--text-color);
  background-color: var(--primary-color);
  border: 2px solid var(--secondary-color);
  border-radius: 50px;
  cursor: pointer;
  transition: all 0.4s ease;
}

.buttonTwo {
  position: absolute;
  top: 50%;
  left: 90%;
  transform: translate(-50%, -50%) scale(0.8);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  padding: 15px 30px;
  font-size: 16px;
  font-weight: bold;
  color: var(--text-color);
  background-color: var(--secondary-color);
  border: 2px solid var(--primary-color);
  border-radius: 50px;
  cursor: pointer;
  transition: all 0.4s ease;
}

.image-container.active .button {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform: translate(-50%, -50%) scale(1);
}

.image-container.active .buttonTwo {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform: translate(-50%, -50%) scale(1);
}


.messageBoardCard{
    border:#0e0d0d 1px solid;
    width: 400px;
}

.buttonStyle {
    background-color: var(--primary-color);
    border: 1px solid var(--text-box-color);
    border-radius: 8px;
    color: var(--text-box-color);
}

.buttonStyleOther {
    background-color: var(--secondary-color);
    border: 1px solid var(--text-box-color);
    border-radius: 8px;
    color: var(--text-box-color);
}

.messageBoardCard p {
    color: var(--text-color);
}

.centered {
  text-align: center;
}

.nav-link {
  color: var(--text-color);
}

.navbar-toggler-icon {
  background-image: url(../images/Hamburger_icon_white.svg)
}

.navbar-toggler {
    border-color: var(--text-color);
}

.card-container{
  padding: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.card {
  border: 1px solid var(--text-color);
  border-radius: 8px;
  padding: 20px;
  width: 200px;
  background-color: var(--base-variant);
  margin: 10px;
  text-align: center;
  color: var(--text-box-color);
}

.bottom {
  margin-top: auto;
}

#themeToggle {
  height: 50px;
  width: 50px;
  padding: 0;
  border-radius: 50%;
  background-color: var(--base-variant);
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 10px;
  right: 15px;
}

#themeToggle svg {
  fill: var(--text-color);
}

#themeToggle svg:last-child {
  display: none;
}

.darkmode #themeToggle svg:first-child {
  display: none;
}

.darkmode #themeToggle svg:last-child {
  display: block;
}